Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.apifacade.impl
Class XbrlContext

    java.lang.Object
      es.inteco.xbrl.lenlocpenloc.apifacade.impl.XbrlContext

All Implemented Interfaces:
  IXbrlContext

    public class XbrlContext

extends java.lang.Object
implements IXbrlContext

Clase usada para encapsular un objeto correspondiente a un contexto XBRL.
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es

Method Summary
`java.lang.Object` | `getContextObject()` Devuelve la instancia de la API XBRL a la cual encapsula.
`java.lang.String` | `getDimension()` Devuelve el nombre de la dimensión a la cual pertenece este contexto.
`java.lang.String` | `getEntityIdentifierSchema()` Devuelve el esquema del identificador de la entidad del contexto.
`java.lang.String` | `getEntityIdentifierValue()` Devuelve el valor del identificador de la entidad del contexto.
`java.lang.String` | `getId()` Devuelve el identificador del contexto.
`java.lang.String` | `getMember()` Devuelve el nombre del miembro de la dimensión.
`java.util.Date` | `getPeriodEndDate()` Devuelve la fecha fin del periodo duration del contexto.
`java.util.Date` | `getPeriodInstant()` Obtiene la fecha del periodo instant del contexto.
`java.lang.Object` | `getPeriodObject()` Devuelve el objeto periodo correspondiente a la información contenida en esta instancia.
`java.util.Date` | `getPeriodStartDate()` Devuelve la fecha de inicio para el periodo del contexto.
`java.lang.String` | `getTypedMember()` Devuelve el valor del miembro de la dimensión implícita.
`boolean` | `isScenarioIsDimensional()` Indica si el contexto es dimensional.
`void` | `setContextObject(java.lang.Object contextObject)` Asigna un objeto contexto correspondiente a los valores representados por esta clase.
`void` | `setDimension(java.lang.String dimension)` Asigna el nombre de la dimensión, si el contexto es dimensional.
`void` | `setEntityIdentifierSchema(java.lang.String entityIdentifierSchema)` Asigna un el esquema para el identificador de la entidad del contexto.
`void` | `setEntityIdentifierValue(java.lang.String entityIdentifierValue)` Asigna un valor para el identificador de la entidad del contexto.
`void` | `setId(java.lang.String id)` Asigna un identificador.
`void` | `setMember(java.lang.String member)` Asigna el nombre del miembro de la dimensión
`void` | `setPeriodEndDate(java.util.Date periodEndDate)` Asigna la fecha fin del periodo duration del context.
`void` | `setPeriodInstant(java.util.Date periodInstant)` Asigna la fecha para el periodo insntant del contexto.
`void` | `setPeriodObject(java.lang.Object periodObject)` Asigna un objeto periodo.
`void` | `setPeriodStartDate(java.util.Date periodStartDate)` Asigna la fecha inicio para el periodo duration del contexto.
`void` | `setScenarioIsDimensional(boolean scenarioIsDimensional)` Asigna si el contexto es dimensional.
`void` | `setTypedMember(java.lang.String typedMemberValue)` Asigna el valor del miembro de la dimensión implícita

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getId

    public final java.lang.String getId()

  Description copied from interface: `IXbrlContext`
  Devuelve el identificador del contexto.

  Specified by:
    `getId` in interface `IXbrlContext`
  Returns:
    identificador del contexto

### setId

    public final void setId(java.lang.String id)

  Description copied from interface: `IXbrlContext`
  Asigna un identificador.

  Specified by:
    `setId` in interface `IXbrlContext`
  Parameters:
    `id` - identificador del contexto

### getEntityIdentifierSchema

    public final java.lang.String getEntityIdentifierSchema()

  Description copied from interface: `IXbrlContext`
  Devuelve el esquema del identificador de la entidad del contexto.

  Specified by:
    `getEntityIdentifierSchema` in interface `IXbrlContext`
  Returns:
    esquemda del identificador

### setEntityIdentifierSchema

    public final void setEntityIdentifierSchema(java.lang.String entityIdentifierSchema)

  Description copied from interface: `IXbrlContext`
  Asigna un el esquema para el identificador de la entidad del contexto.

  Specified by:
    `setEntityIdentifierSchema` in interface `IXbrlContext`
  Parameters:
    `entityIdentifierSchema` - esquema del identificador

### getEntityIdentifierValue

    public final java.lang.String getEntityIdentifierValue()

  Description copied from interface: `IXbrlContext`
  Devuelve el valor del identificador de la entidad del contexto.

  Specified by:
    `getEntityIdentifierValue` in interface `IXbrlContext`
  Returns:
    valor del identificador

### setEntityIdentifierValue

    public final void setEntityIdentifierValue(java.lang.String entityIdentifierValue)

  Description copied from interface: `IXbrlContext`
  Asigna un valor para el identificador de la entidad del contexto.

  Specified by:
    `setEntityIdentifierValue` in interface `IXbrlContext`
  Parameters:
    `entityIdentifierValue` - valor del identificador

### getPeriodStartDate

    public final java.util.Date getPeriodStartDate()

  Description copied from interface: `IXbrlContext`
  Devuelve la fecha de inicio para el periodo del contexto.

  Specified by:
    `getPeriodStartDate` in interface `IXbrlContext`
  Returns:
    fecha inicio

### setPeriodStartDate

    public final void setPeriodStartDate(java.util.Date periodStartDate)

  Description copied from interface: `IXbrlContext`
  Asigna la fecha inicio para el periodo duration del contexto.

  Specified by:
    `setPeriodStartDate` in interface `IXbrlContext`
  Parameters:
    `periodStartDate` - fecha inicio

### getPeriodEndDate

    public final java.util.Date getPeriodEndDate()

  Description copied from interface: `IXbrlContext`
  Devuelve la fecha fin del periodo duration del contexto.

  Specified by:
    `getPeriodEndDate` in interface `IXbrlContext`
  Returns:
    fecha fin

### setPeriodEndDate

    public final void setPeriodEndDate(java.util.Date periodEndDate)

  Description copied from interface: `IXbrlContext`
  Asigna la fecha fin del periodo duration del context.

  Specified by:
    `setPeriodEndDate` in interface `IXbrlContext`
  Parameters:
    `periodEndDate` - fecha fin

### getPeriodInstant

    public final java.util.Date getPeriodInstant()

  Description copied from interface: `IXbrlContext`
  Obtiene la fecha del periodo instant del contexto.

  Specified by:
    `getPeriodInstant` in interface `IXbrlContext`
  Returns:
    fecha instant

### setPeriodInstant

    public final void setPeriodInstant(java.util.Date periodInstant)

  Description copied from interface: `IXbrlContext`
  Asigna la fecha para el periodo insntant del contexto.

  Specified by:
    `setPeriodInstant` in interface `IXbrlContext`
  Parameters:
    `periodInstant` - fecha instant

### isScenarioIsDimensional

    public final boolean isScenarioIsDimensional()

  Description copied from interface: `IXbrlContext`
  Indica si el contexto es dimensional.

  Specified by:
    `isScenarioIsDimensional` in interface `IXbrlContext`
  Returns:
    true si el contexto es dimensional, false en caso contrario.

### setScenarioIsDimensional

    public final void setScenarioIsDimensional(boolean scenarioIsDimensional)

  Description copied from interface: `IXbrlContext`
  Asigna si el contexto es dimensional.

  Specified by:
    `setScenarioIsDimensional` in interface `IXbrlContext`
  Parameters:
    `scenarioIsDimensional` - true para indicar que el contexto es dimensional, false en caso contrario.

### getContextObject

    public final java.lang.Object getContextObject()

  Description copied from interface: `IXbrlContext`
  Devuelve la instancia de la API XBRL a la cual encapsula. El valor puede ser nulo si el contexto al cual representa esta clase no ha sido creado en la instancia XBRL, por tanto, este valor solo se usa en el ámbito de la facade.

  Specified by:
    `getContextObject` in interface `IXbrlContext`
  Returns:
    referencia al contexto correspondiente a la API XBRL usada.

### setContextObject

    public final void setContextObject(java.lang.Object contextObject)

  Description copied from interface: `IXbrlContext`
  Asigna un objeto contexto correspondiente a los valores representados por esta clase.

  Specified by:
    `setContextObject` in interface `IXbrlContext`
  Parameters:
    `contextObject` - objeto contexto

### getPeriodObject

    public final java.lang.Object getPeriodObject()

  Description copied from interface: `IXbrlContext`
  Devuelve el objeto periodo correspondiente a la información contenida en esta instancia.

  Specified by:
    `getPeriodObject` in interface `IXbrlContext`
  Returns:
    objeto periodo

### setPeriodObject

    public final void setPeriodObject(java.lang.Object periodObject)

  Description copied from interface: `IXbrlContext`
  Asigna un objeto periodo.

  Specified by:
    `setPeriodObject` in interface `IXbrlContext`
  Parameters:
    `periodObject` - referencia al objeto periodo

### getDimension

    public java.lang.String getDimension()

  Description copied from interface: `IXbrlContext`
  Devuelve el nombre de la dimensión a la cual pertenece este contexto.

  Specified by:
    `getDimension` in interface `IXbrlContext`
  Returns:
    nombre de la dimensión

### setDimension

    public void setDimension(java.lang.String dimension)

  Description copied from interface: `IXbrlContext`
  Asigna el nombre de la dimensión, si el contexto es dimensional.

  Specified by:
    `setDimension` in interface `IXbrlContext`
  Parameters:
    `dimension` - nombre de la dimensión

### getMember

    public java.lang.String getMember()

  Description copied from interface: `IXbrlContext`
  Devuelve el nombre del miembro de la dimensión.

  Specified by:
    `getMember` in interface `IXbrlContext`
  Returns:
    nombre del miembro de la dimensión.

### setMember

    public void setMember(java.lang.String member)

  Description copied from interface: `IXbrlContext`
  Asigna el nombre del miembro de la dimensión

  Specified by:
    `setMember` in interface `IXbrlContext`
  Parameters:
    `member` - nombre del miembro de la dimensión

### getTypedMember

    public java.lang.String getTypedMember()

  Description copied from interface: `IXbrlContext`
  Devuelve el valor del miembro de la dimensión implícita.

  Specified by:
    `getTypedMember` in interface `IXbrlContext`
  Returns:
    valor del miembro de la dimensión.

### setTypedMember

    public void setTypedMember(java.lang.String typedMemberValue)

  Description copied from interface: `IXbrlContext`
  Asigna el valor del miembro de la dimensión implícita

  Specified by:
    `setTypedMember` in interface `IXbrlContext`
  Parameters:
    `typedMemberValue` - valor del miembro de la dimensión

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD